html {
  scroll-behavior: smooth;
}

:root::-webkit-scrollbar {
  display: none;
}

:root {
  -ms-overflow-style: none;
  scrollbar-width: none;
}


body {
  text-align: center;
  background-color: #1a1a1a;
  display: block;
  color: transparent;
  font-family: 'Space Grotesk', sans-serif;
  padding-top: 30px;
}


body::before,
body::after {
  position: fixed;
  content: '滚蛋';
  mix-blend-mode: screen;
  filter: blur(10px);
}

body::before {
  text-shadow:
    0.8em 1.2em 7px hsla(0, 100%, 50%, 0.9),
    -0.3em 2.1em 7px hsla(30, 100%, 50%, 0.9),
    2.1em -0.2em 7px hsla(60, 100%, 50%, 0.9),
    1.7em 2.5em 7px hsla(90, 100%, 50%, 0.9),
    -0.1em -0.4em 7px hsla(120, 100%, 50%, 0.9),
    2.2em 1.8em 7px hsla(150, 100%, 50%, 0.9),
    1.3em 2.7em 7px hsla(180, 100%, 50%, 0.9),
    0.4em 1.9em 7px hsla(210, 100%, 50%, 0.9),
    2.8em 0.5em 7px hsla(240, 100%, 50%, 0.9),
    1.1em 2.3em 7px hsla(270, 100%, 50%, 0.9);
  animation: 44s -27s move infinite ease-in-out alternate;
}

body::after {
  text-shadow:
    1.9em 0.7em 7px hsla(300, 100%, 50%, 0.9),
    -0.4em 1.8em 7px hsla(330, 100%, 50%, 0.9),
    2.4em -0.3em 7px hsla(15, 100%, 50%, 0.9),
    1.5em 2.2em 7px hsla(45, 100%, 50%, 0.9),
    0.2em -0.5em 7px hsla(75, 100%, 50%, 0.9),
    2.7em 1.6em 7px hsla(105, 100%, 50%, 0.9),
    1.6em 2.9em 7px hsla(135, 100%, 50%, 0.9),
    0.6em 1.7em 7px hsla(165, 100%, 50%, 0.9),
    2.5em 0.3em 7px hsla(195, 100%, 50%, 0.9),
    1.4em 2.6em 7px hsla(225, 100%, 50%, 0.9);
  animation: 43s -22s move infinite ease-in-out alternate;
}

@keyframes move {
  from {
    transform: rotate(0deg) scale(12) translateX(-20px);
  }

  to {
    transform: rotate(360deg) scale(18) translateX(20px);
  }
}

.rounded-square {
  border-radius: 10px;
  padding: 10px;
  margin: 5px;
  display: inline-block;
}

.rounded-rectangle {
  border-radius: 10px;
  padding: 20px;
  margin: 10px;
  background-color: #2c2c2c;
  transition: background-color 0.3s ease;
}

.rounded-rectangle:hover {
  background-color: #4d4d4d;
}

section {
  color: #ffffff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 50px 0;
}

h1 {
  font-size: 4rem;
  color: #17a2b8;
  margin-bottom: 30px;
}

h1:hover,
h2:hover {
  text-shadow: 0 0 10px rgba(23, 162, 184, 0.5);
}

h2 {
  font-size: 4rem;
  color: #17a2b8;
  margin-bottom: 30px;
}

p {
  font-size: 1.5rem;
  margin-bottom: 20px;
}

img {
  border-radius: 5px;
  max-width: 100%;
  height: auto;
  margin-bottom: 20px;
}

footer {
  background-color: transparent;
  color: #ffffff;
  text-align: center;
  padding: 20px 0;
}

nav a {
  text-decoration: none;
  color: #ffffff;
}

nav a:hover {
  color: #17a2b8;
}

.social-icons {
  font-size: 2rem;
  margin: 10px;
  transition: all 0.3s ease;
}

.social-icons:hover {
  color: #fff;
  text-shadow: 0 0 10px #0fbcd6, 0 0 20px #00dcfe;
}

.pill-nav {
  background: rgba(18, 18, 18, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 50px;
  padding: 10px 25px;
  margin: 0 auto;
  max-width: 900px;
  transition: all 0.5s ease;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  width: calc(100% - 40px);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.pill-nav .navbar-brand {
  color: #ffffff;
  font-weight: 600;
  padding: 8px 15px;
}

.pill-nav .navbar-nav {
  margin: 0 4px;
  display: flex;
  align-items: center;
}

.pill-nav .nav-link {
  color: rgba(255, 255, 255, 0.8);
  padding: 8px 20px;
  margin: 0 5px;
  border-radius: 25px;
  transition: all 0.3s ease;
}

.pill-nav .nav-link:hover {
  color: #ffffff;
  background: rgba(255, 255, 255, 0.1);
}

.navbar-collapse {
  display: flex;
  justify-content: flex-end;
}

.about-nav-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.about-nav {
  background: rgba(18, 18, 18, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 50px;
  width: 300px;
  height: 50px;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
}

.nav-btn {
  border: none;
  background: none;
  color: rgba(255, 255, 255, 0.8);
  padding: 8px 20px;
  border-radius: 25px;
  cursor: pointer;
  position: relative;
  z-index: 2;
  flex: 1;
  transition: color 0.3s ease;
}

.nav-btn.active,
.nav-btn:focus {
  color: #ffffff;
  outline: none;
}

.slider {
  position: absolute;
  left: 5px;
  top: 5px;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 25px;
  height: calc(100% - 10px);
  width: calc(50% - 5px);
  transition: transform 0.3s ease;
}

.content-section {
  display: none;
  opacity: 0;
  height: 0;
  overflow: hidden;
  transition: opacity 0.3s ease, height 0.3s ease;
}

.content-section.active {
  display: block;
  opacity: 1;
  height: auto;
  overflow: visible;
}


@media (max-width: 1028px) {

  body {
    padding-top: 0px;
  }

  .pill-nav {
    transform: translateY(-100%);
    opacity: 0;
    pointer-events: none;
    height: 0;
  }
}

.wtd-container {
  background: rgba(44, 44, 44, 0.4);
  backdrop-filter: blur(10px);
  background-blend-mode: screen;
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  padding: 20px;
  transition: all 0.3s ease;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
}

.glass-container {
  background: rgba(44, 44, 44, 0.4);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  padding: 20px;
  transition: all 0.3s ease;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  height: 350px;
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
}

.glass-container:hover {
  transform: translateY(-5px);
  background: rgba(44, 44, 44, 0.6);
}

.glass-container .img-wrapper {
  height: 400px;
  overflow: hidden;
  border-radius: 15px;
  margin-bottom: 20px;
}

.glass-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 15px;
  margin-bottom: 0px;
}

.glass-container .content {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.glass-container h4 {
  color: #17a2b8;
  margin: 0 0 15px 0;
  font-size: 1.5rem;
}

.glass-container:hover .imgs {
  filter: blur(15px);
}

.glass-container p {
  font-size: 1rem;
  color: rgba(255, 255, 255, 0.8);
  margin-bottom: 0;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.glass-container .contents {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition: all 0.3s ease;
  padding: 20px;
}

.glass-container:hover .contents {
  opacity: 1;
}

.about-container {
  background: rgba(44, 44, 44, 0.25);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  padding: 10px;
  transition: all 0.3s ease;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  max-width: 800px;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
}

.about-container img {
  width: 100%;
  display: block;
  margin-bottom: 0px;
}

.btn-container {
  display: flex;
  justify-content: center;
  width: 100%;
  margin: 20px 0;
}

.resbtn {
  background: rgba(44, 44, 44, 0.4);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 50px;
  padding: 12px 30px;
  color: white;
  font-size: 18px;
  cursor: pointer;
  transition: all 0.3s ease;
  text-decoration: none;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.resbtn:hover {
  text-decoration: none;
  color: white;
  background: rgba(44, 44, 44, 0.6);
}

@keyframes cryptHacker {
  0% {
    opacity: 0;
    transform: translateY(10px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

h1[data-value] {
  animation: cryptHacker 10s ease-out forwards;
}

#loader-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #1a1a1a;
  z-index: 9;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


#loader-content {
  width: 80%;
  max-width: 600px;
  color: #17a2b8;
  font-family: 'Space Grotesk', monospace;
}

.boot-text {
  font-size: 14px;
  margin: 3px 0;
  opacity: 0;
  animation: fadeIn 0.5s forwards;
  color: #17a2b8;
  text-align: left;
  white-space: pre-wrap;
  text-shadow: 0 0 10px rgba(23, 162, 184, 0.5);
}

.progress-bar {
  width: 100%;
  height: 20px;
  background: rgba(23, 162, 184, 0.1);
  border: 1px solid #17a2b8;
  margin-top: 10px;
  position: relative;
  overflow: hidden;
  box-shadow: 0 0 10px rgba(23, 162, 184, 0.3);
}

.progress-bar::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 0;
  background: #17a2b8;
  animation: progress 3s ease-in-out forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes progress {
  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}

#loader-wrapper.fade-out {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0.5s;
}

.main-content {
  opacity: 0;
  transition: opacity 0.8s ease-out;
}

.main-content.visible {
  opacity: 1;
}

.hacking-animation__character {
  animation: type 500ms linear forwards;
  color: #00a000;
}

@keyframes type {
  0% {
    background: #FFF;
    color: #FFF;
  }

  5% {
    background: transparent;
    color: #FFF;
  }

  100% {
    background: transparent;
    color: #17a2b8;
  }
}

.sig {
  width: 500px;
  height: auto;
  transition: all 0.3s ease;
}

.sig:hover {
  filter: drop-shadow(0 0 10px rgba(255, 255, 0, 0.8)) drop-shadow(0 0 20px rgba(255, 255, 0, 0.8));
}

#fullscreen-gif {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('http://orig01.deviantart.net/ed96/f/2016/166/3/b/dedsec_skull_noise_2_by_junguler-da6cg74.gif');
  background-size: cover;
  background-position: center;
}